> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get file details



## OpenAPI

````yaml get /file/{id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /file/{id}:
    get:
      tags:
        - Files
      summary: Get file details
      operationId: f642c372ee90385132cf500b243ba02d
      parameters:
        - name: id
          in: path
          description: ID of the file to get details
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  file:
                    type: object
                type: object
        '400':
          description: 'Error: Bad Request'
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: 'Error: Bad Request.'
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````